summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2017-05-02 23:14:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-02 23:14:12 +0700
commit1d699e8527bc9d1429493534755fba5d6cfd0333 (patch)
tree4f20fcf514c3913f7d6f00bfe1cf29a700b9ab32
parent3057c44df8997b0dbf07b7a5e5ed1cf1722d0e03 (diff)
downloadslackbuilds-1d699e8527bc9d1429493534755fba5d6cfd0333.tar.gz
slackbuilds-1d699e8527bc9d1429493534755fba5d6cfd0333.tar.xz
academic/prank-msa: Added (probabilistic alignment program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/prank-msa/README32
-rw-r--r--academic/prank-msa/prank-msa.SlackBuild103
-rw-r--r--academic/prank-msa/prank-msa.info10
-rw-r--r--academic/prank-msa/slack-desc19
4 files changed, 164 insertions, 0 deletions
diff --git a/academic/prank-msa/README b/academic/prank-msa/README
new file mode 100644
index 0000000000..4bc1a9f838
--- /dev/null
+++ b/academic/prank-msa/README
@@ -0,0 +1,32 @@
+PRANK: Probabilistic Alignment Kit
+
+PRANK is a probabilistic multiple alignment program for DNA, codon and
+amino-acid sequences. It is based on a novel algorithm that treats
+insertions correctly and avoids over-estimation of the number of
+deletion events.
+
+In addition, PRANK borrows ideas from maximum likelihood (ML) methods
+used in phylogenetics and correctly takes into account the evolutionary
+distances between sequences.
+
+Lastly, PRANK allows for defining a potential structure for sequences to
+be aligned and then, simultaneously with the alignment, predicts the
+locations of structural units in the sequences.
+
+NOTE!
+The dependencies listed in the REQUIRED field are not needed for
+building PRANK. They are, however, highly recommended for the complete
+functionality of the program:
+
+1) Progressive alignment requires a guide tree. If no tree is provided,
+PRANK constructs one by calling MAFFT to make a quick alignment and
+infers an NJ tree from the evolutionary distances based on that.
+
+2) The standard PRANK algorithm is based on an exhaustive search of the
+best pairwise solution. PRANK uses Exonerate to anchor the pairwise
+alignments and thus speed up the process.
+
+3) To improve the ancestral reconstruction, PRANK uses BppAncestor from
+the BppSuite.
+
+NOTE 2: This will not build on a 32bit system.
diff --git a/academic/prank-msa/prank-msa.SlackBuild b/academic/prank-msa/prank-msa.SlackBuild
new file mode 100644
index 0000000000..e1180665b5
--- /dev/null
+++ b/academic/prank-msa/prank-msa.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for prank-msa
+
+# Copyright 2017 Petar petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=prank-msa
+SRCNAM=prank.source
+VERSION=${VERSION:-150803}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${SRCNAM}.${VERSION}.tgz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+
+# Use our FLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+sed -i "/^CXXFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+# Install the binary
+install -D -m755 prank $PKG/usr/bin/prank
+
+# Place the man page in its proper location
+install -D -m644 prank.1 $PKG/usr/man/man1/prank.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../VERSION_HISTORY $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/prank-msa/prank-msa.info b/academic/prank-msa/prank-msa.info
new file mode 100644
index 0000000000..2d999b1d23
--- /dev/null
+++ b/academic/prank-msa/prank-msa.info
@@ -0,0 +1,10 @@
+PRGNAM="prank-msa"
+VERSION="150803"
+HOMEPAGE="http://wasabiapp.org/software/prank/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://wasabiapp.org/download/prank/prank.source.150803.tgz"
+MD5SUM_x86_64="71ac2659e91c385c96473712c0a23e8a"
+REQUIRES="bppsuite mafft exonerate"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/prank-msa/slack-desc b/academic/prank-msa/slack-desc
new file mode 100644
index 0000000000..3a6b88e42b
--- /dev/null
+++ b/academic/prank-msa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+prank-msa: prank-msa (A probabilistic multiple alignment program)
+prank-msa:
+prank-msa: PRANK is a probabilistic multiple alignment program for DNA,
+prank-msa: codon and amino-acid sequences.
+prank-msa:
+prank-msa: Home: http://wasabiapp.org/software/prank/
+prank-msa:
+prank-msa:
+prank-msa:
+prank-msa:
+prank-msa: